#include "test_wr.h"
#include "test_be.h"

namespace test
{

Test::Test()
{
  _inner = new ::Test();
}

void Test::test_cairo_win32(IntPtr hwnd)
{
  _inner->test_cairo_win32(hwnd.ToPointer());
}

void Test::test_cairo_glitz(IntPtr hwnd)
{
  _inner->test_cairo_glitz(hwnd.ToPointer());
}

void Test::test_glitz(IntPtr hwnd)
{
  _inner->test_glitz(hwnd.ToPointer());
}

void Test::test_cairo_pdf()
{
  _inner->test_cairo_pdf();
}

void Test::test_cairo_ps()
{
  _inner->test_cairo_ps();
}

void Test::test_cairo_png()
{
  _inner->test_cairo_png();
}

void Test::test_cairo_svg()
{
  _inner->test_cairo_svg();
}

}
